### Virtual Method

# Clapper Feature prepare

#### Declaration [src]

    gboolean
    prepare (
      ClapperFeature* feature
    )

#### Description [src]

Prepare feature for operation (optional).

This is different from `init()` as its called from features thread once feature is added to the player, so it can already access it parent using gst_object_get_parent(). If it fails, no other method will be called.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` otherwise.